<!DOCTYPE html>
<#parameter inputname="scorecardid">
<#parameter inputname="perspectivename" defaultvalue="Financial">
<#variable name="perspectiveid" value=="if([perspectivename]='' || QueryObjectsCount('[' + [scorecardid] + '].topelement.childobjects', 'name=\"' + [perspectivename] + '\"', '')=0, QueryObjectsFirstAttribute('[' + [scorecardid] + '].topelement.childobjects', '', 'index', 'id', ''), QueryObjectsFirstAttribute('[' + [scorecardid] + '].topelement.childobjects', 'name=\"' + [perspectivename] + '\"', 'index', 'id', ''))">
<html>
  <head>
    <title>QPR Metrics Dashboard</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
	<script type="text/javascript" src="/<#expression value=="ApplicationSetting('qprwebapplicationname')">/qprsoftware/common/scripts/jquery.js"></script>
	<script type="text/javascript" src="/<#expression value=="ApplicationSetting('qprwebapplicationname')">/qprsoftware/common/scripts/jquery.tools.min.js"></script>
  <style>
      table {
        display: inline-table;
      }

      * {
	    font-family: Tahoma, Arial, Helvetica, Geneva, Swiss, SunSans-Regular;
	  }

	  h1 {
	    display: inline;
		margin-right: 30px;
	  }
	  
	  .measurethumbnail {
	    margin: 10px 15px 0px 0px;
		border: 1px solid #C0C0BD;
		padding: 5px 3px 9px 6px;
		box-shadow: 2px 2px 3px #C0C0BD;
		cursor: pointer;
		width: 300px;
		height: 120px;
		max-width: 300px;
		max-height: 120px;
		display: inline-table;
		table-layout: fixed;
	  }
	  
	  .measurethumbnail td {
	    vertical-align: bottom;
		overflow: hidden;
		white-space: nowrap;
		padding: 0px 0px 0px 0px;
	  }

     .overlay {
       display:none;
       z-index:10000;
	   background-color: white;
       border:1px solid #666;
       -moz-box-shadow:0 0 90px 5px #000;
       -webkit-box-shadow: 0 0 90px #000;
	   box-shadow: 3px 3px 4px #666;
     }

     .overlay .close {
       background-image:url('/<#expression value=="ApplicationSetting('qprwebapplicationname')">/qprsoftware/portal/images/close.png');
       position:absolute;
       right:-15px;
       top:-15px;
       cursor:pointer;
       height:35px;
       width:35px;
     }
	 
	 .selectedscorecard {
	   font-weight: bold;
	 }

	 .scorecard {
	   white-space: nowrap;
	 }

    .selectedperspective {
	   font-weight: bold;
	 }
	 
	 a {
	   color: black;
	   font-size: 13px;
	   text-decoration: none;
	 }
	 
	 a:hover {
	   text-decoration: underline;
	 }
	 
  </style>
<script>
function openPortalLink(objectId, viewName, options, openInNewWindow) {
$.get( "/QPRWebServicesExtensions/GetPortalUrl.ashx?xsession=<#expression value=="getSessionId()">&objectid=" + objectId + "&viewname=" + viewName + "&options=" + options,
  function(url) {
    if (url != null && url != "") {
	  if (openInNewWindow) {
	    window.open(url);
	  } else { 
		window.location.href = url;
	  }
	}
  })
}

  function onMeasureThumbnailClicked(event) {
	if (!$("#measureoverlay").overlay().isOpened()) {
	  loadOverlayImage(event);
	}
	$("#measureoverlay").overlay().close();
  }
  
  function loadOverlayImage(event) {
    var placeholder = $("#measureoverlay");
	placeholder.find("img").remove();
	var elementId = $(event.srcElement).closest("table").attr("measureid");
    placeholder.append("<img onload=\"$('#measureoverlay').overlay().load();\" src=\"/QPRWebServicesExtensions/GetGraph.ashx?xsession=<#expression value=="getSessionId()">&objectId=" + elementId + "&options=GRAPHTYPE=GRAPH\" />");
  }

  function onLoad() {
    $("#measureoverlay").overlay({ top: 110 });
  }

</script>
</head>
  <body onload="onLoad()">
    <table>
	  <tr>
	    <td rowspan="2" style="vertical-align: top;">
		  <table style="margin-top: 20px;min-width: 300px;">
		  <#loop tpl="Scorecard" query=="'[SC.' + ModelIdFromFullId([scorecardid]) + '].scorecard'" criteria="NOT Find(\"Template\", name)" sortby="index" attributes="name(as=\"scorecardname\"),level" loopparameter="scorecardid" perspectivename=="[perspectivename]" selectedscorecardid=="[scorecardid]">
		  </table>
		</td>
        <td style="height:50px;vertical-align: top;">
		  <h1>Metrics Dashboard</h1>
	 <table><tr>
	  <#loop tpl="Perspective" query=="'[' + [scorecardid] + '].topelement.childobjects'" sortby="index" attributes="name(as=\"perspectivename\")" loopparameter="perspectiveid" selectedperspectiveid=="[perspectiveid]" scorecardid=="[scorecardid]">
    </tr></table>
	</td>
	</tr><tr>
	<td style="vertical-align: top;">
	<#loop tpl="Measure" query=="'[' + [perspectiveid] + '].childobjects(recursive=1)'" criteria="hasreferencescorecard=0" sortby="index" attributes="name(as=\"measurename\"),measure.valuewithoutsymbol(as=\"month\",series=\"ACT\"),measure.valuewithoutsymbol(as=\"year\"),measure.valuewithoutsymbol(as=\"monthtarget\"),measure.valuewithoutsymbol(as=\"yeartarget\"),measure.valuewithoutsymbol(as=\"previousmonth\"),measure.rangename(as=\"monthrange\"),measure.rangename(as=\"yearrange\"),measure.trend(as=\"trend\"),measure.periodname(as=\"period\")" loopparameter="measureid">
    </td></tr>
	</table>
	<div class="overlay" id="measureoverlay"></div>
  </body>
</html>